> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Checks if SBOM exists

> KSOC SBOM plugin checks if SBOM should be calculated or this image digest is already known.



## OpenAPI

````yaml /api-reference/openapi.yaml get /sboms/{digest}
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /sboms/{digest}:
    get:
      tags:
        - SBOM Plugin
      summary: Checks if SBOM exists
      description: >-
        KSOC SBOM plugin checks if SBOM should be calculated or this image
        digest is already known.
      parameters:
        - description: Image digest to check
          in: path
          name: digest
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SBOMWithDecision'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
      security:
        - AccessKey: []
components:
  schemas:
    SBOMWithDecision:
      properties:
        decision:
          type: string
        sbom:
          $ref: '#/components/schemas/SBOM'
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    SBOM:
      properties:
        created_at:
          type: string
        deleted_at:
          type: string
        digest:
          type: string
        name:
          type: string
        s3_bucket:
          type: string
        s3_key:
          type: string
        s3_status:
          type: string
        updated_at:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
  securitySchemes:
    AccessKey:
      in: header
      name: Authorization
      type: apiKey

````